package com.njcn.gather.pojo.enums;

import lombok.Getter;

/**
 * @author caozehui
 * @data 2025-03-26
 */
@Getter
public enum DetectionResponseEnum {
    /**
     * 检测模块异常响应码的范围：
     * A02000 ~ A02
     */
    DEV_TYPE_NAME_REPEAT("A02000", "设备类型名称重复"),
    RATED_CT_ERROR("A02001", "解析监测点的额定电流失败"),
    RATED_PT_ERROR("A02001", "解析监测点的额定电压失败"),
    SOURCE_BOUND_NOT_DELETE("A02001", "源已被计划所绑定，无法删除！"),
    SCRIPT_BOUND_NOT_DELETE("A02003", "脚本已被计划所绑定，无法删除！"),
    RAW_DATA_NOT_EXIST("A02004", "原始数据不存在"),
    PLAN_REPEATED("A02005", "当前模式下，该计划已存在"),
    PLAN_NOT_EXIST("A02006", "该计划不存在"),
    SCRIPT_RELATE_DICT_NOT_EXIST("A02007", "脚本关联的字典不存在"),
    NOT_CHECKED_PLAN_CANNOT_ANALYSE("A02008", "只有检测状态为检测完成的计划才能进行统计分析"),
    CANNOT_CHANGE_SCRIPT_WHEN_CHECKING("A02009", "只有检测状态为未检时，才能修改检测脚本"),
    CANNOT_CHANGE_ERROR_SYS_WHEN_CHECKING("A02010", "只有检测状态为未检时，才能修改误差体系"),
    CANNOT_CHANGE_REPORT_WHEN_CHECKING("A02011", "只有检测状态为未检时，才能修改绑定报告模板"),
    ICD_PATH_NAME_REPEAT("A02012", "icd名称重复"),
    ERR_SYS_BOUND_NOT_DELETE("A02013", "误差体系已被计划所绑定，无法删除！"),
    ERR_SYS_REPEAT("A02014", "已存在相同标准号、标准推行年份、适用设备等级的误差体系！"),
    SCRIPT_NAME_REPEAT("A02015", "脚本名称重复"),


    IMPORT_DATA_FAIL("A02040", "导入数据失败"),
    SERIES_AND_DEVKEY_NOT_BLANK("A02041", "当为加密设备时，加密设备的序列号和设备密钥不能为空"),
    PQ_SOURCE_GEN_NAME_ERROR("A02042", "检测源生成名称出错"),
    ERR_SOURCE_GEN_NAME_ERROR("A02043", "误差体系生成名称出错"),
    PQ_ERRSYS_GEN_NAME_ERROR("A02044", "误差体系生成名称出错"),
    PLAN_HAS_DEVICE_BIND("A02045", "检测计划下已绑定设备，请先解绑设备"),
    PQ_DEV_REPEAT("A02046", "重复的被检设备"),
    PQ_DEV_HAS_MONITOR("A02047", "该设备下关联有监测点，请先移除监测点"),
    HAS_NOT_UNCHECKED_DEVICE("A02048", "设备在检测中或已被检测过，请勿解除绑定"),
    IMPORT_PLAN_DATA_FAIL("A02049", "导入的检测计划为空"),
    IMPORT_DATA_FORMAT_FAIL("A02050", "导入数据格式错误"),
    IMPORT_SOURCE_ERROR("A02051", "当前模式下一个检测计划只能有一个检测源"),
    IMPORT_DATASOURCE_ERROR("A02052", "当前模式下一个检测计划只能有一个数据源"),
    DEV_UN_CHECKED("A02053", "装置还未检测完成！"),
    DEV_UN_REPORT("A02054", "装置报告未生成！"),
    DEVICE_DIS_ERROR("A02055", "装置配置异常"),
    DEVICE_DELETE("A02056", "设备无法删除，已绑定计划！"),
    CREATE_DIRECTORY_FAILED("A02057", "创建目录失败"),
    DELETE_DIRECTORY_FAILED("A02058", "删除目录失败"),
    CN_DEV_NAME_FORMAT_ERROR("A02059", "设备名称格式错误，只能包含数字，长度为1-32位"),
    PROVINCE_DEV_NAME_FORMAT_ERROR("A02060", "设备名称格式错误，只能包含字母、数字、下划线、中划线、空格，长度为1-32位"),
    IMPORT_REPORT_TEMPLATE_ERROR("A02061", "当关联报告模板为是时，报告模板不能为空"),
    DEV_TYPE_NOT_EXIST("A02062", "设备类型不存在，请先添加设备类型"),
    MANUFACTURER_NOT_EXIST("A02063", "该设备厂家不存在，请先在\"设备厂家\"字典中添加"),
    PROTOCOL_NOT_EXIST("A02064", "该协议不存在，请先在\"通讯协议\"字典中添加"),
    DELEGATE_NOT_EXIST("A02065", "该委托方不存在，请先在\"委托方\"字典中添加"),
    PREINVESTMENT_PLAN_NOT_EXIST("A02066", "该预投计划不存在，请先在\"预投计划\"字典中添加"),
    DATA_SOURCE_NOT_EXIST("A02067", "该数据源不存在，请先在\"数据源\"字典中添加"),
    SCRIPT_NOT_EXIST("A02068", "该脚本不存在，请先添加该脚本"),
    ERROR_SYSTEM_NOT_EXIST("A02069", "该误差体系不存在，请先添加该误差体系"),
    DATA_RULE_NOT_EXIST("A02070", "该数据处理原则不存在，请先在\"数据处理原则\"字典中添加"),
    REPORT_TEMPLATE_NOT_EXIST("A02071", "该报告模板不存在，请先添加该报告模板"),
    LACK_REPORT_TEMPLATE_ID("A02072", "当关联报告模板为\"是\"时，报告模板不能为空"),
    NAME_OR_CREATEID_REPEAT("A02073", "名称或装置编号重复"),
    MONITOR_REPEAT("A02080", "当前设备下已存在相同的监测点"),
    PQ_STANDARD_DEV_REPEAT("A02090", "已存在同名的标准设备"),
    IMPORT_FLAG_NOT_UPDATE("A02091", "从谐波系统导入的设备不支持修改"),
    CONNECTION_NOT_EXIST("A02092", "该连接不存在，请先在\"接线方式\"字典中添加"),
    MONITOR_NUM_OUT_OF_RANGE("A02093", "检测点线路号超出范围，请检查线路号"),
    MONITOR_NUM_REPEAT("A02094", "该被检设备下存在相同线路号的监测点"),
    PLAN_HAS_CHILDREN("A02095", "该计划下存在子计划，请先删除子计划"),
    PLAN_REPEATED_IN_SAME_LEVEL("A02096", "该父计划下存在同名的子计划"),
    PLEASE_UNASSIGN_STANDARD_DEV("A02097", "存在已分配给子计划的标准设备，请先解除分配"),
    PLEASE_UNASSIGN_DEVICE("A02098", "存在已分配给计划的被检设备，请先解除分配"),
    DEV_IP_PORT_EXIST("A02099", "存在重复被检设备"),
    PQDIF_NOT_EXIST("A02100", "PQDIF不存在");

    private final String code;

    private final String message;

    DetectionResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
